--- Shows the range check window
-- @param		show	boolean	If true the window will fade in, else fade out (if auto hide lock is not enabled)
-- @optional	range	number	The range the range check should be set to when shown, if not supplied the last used value will be used.
-- @optional	force	boolean	Will override the locked state of the range check, mainly used for slash command since that is then set manual and should not be prevented by the lock.
function RangeCheckShow(event, show, range, force)
end

--- Hide the range check window
-- @optional	forced	boolean	If true then the lock or no autohide options will be overridden, mainly used for slash command.
function RangeCheckHide(event, forced)
end

--- Clear the current filtering settings. Note that the filter will not be cleared if the lock is set to true.
function RangeCheckFilterClear(event)
end

--- Toggle the raid icon filter.
-- @param	turnOn	boolean	True to turn the filter on, false to turn off.
function RangeCheckFilterIcons(event, turnOn)
end

--- Toggle class filter.
-- @param	turnOn	boolean	True to turn the filter on, false to turn off.
function  RangeCheckFilterClasses(event, turnOn)
end

--- Toggle name filter.
-- @param	turnOn	boolean	True to turn the filter on, false to turn off.
function RangeCheckFilterNames(event, turnOn)
end

--- Add icons to the raid mark filter.
-- @param	clearOld	boolean If true the the old raid mark filter will be cleared.
-- @param	...			strings|numbers	Icons to be added to the filter, if passed strings they should be the upercase names (STAR, MOON...), else the number representing the mark.	
function RangeCheckFilterAddIcon(event, clearOld, ...)
end

--- Add names tot he name filter
-- @param	clearOld	boolean If true then the old name filter will be cleared.
-- @param	...			strings	Names that should be added tot he filter.
function RangeCheckFilterAddName(event, clearOld, ...)
end

--- Remove names from the name filter.
-- @param	...	strings	Names that should be removed.
function RangeCheckFilterRemoveName(event, ...)
end